<template>
    <div>
        <v-container fluid>
            <h1>Dashboard</h1>
            <v-progress-circular :rotate="360"
                                 :size="150"
                                 :width="30"
                                 :value="value + 50"
                                 color="teal">
                Errors: {{ value }}
            </v-progress-circular>
            <v-progress-circular :rotate="-90"
                                 :size="150"
                                 :width="15"
                                 :value="value + 10"
                                 color="primary">
                Stuff: {{ value }}
            </v-progress-circular>

            <v-progress-circular :rotate="90"
                                 :size="150"
                                 :width="15"
                                 :value="value - 20"
                                 color="red">
                Birds: {{ value }}
            </v-progress-circular>

            <v-progress-circular :rotate="180"
                                 :size="150"
                                 :width="30"
                                 :value="value + 90"
                                 color="pink">
                Goodbye: {{ value }}
            </v-progress-circular>
        </v-container>
        <v-btn @click="progressFurther">Get this moving!</v-btn>
    </div>
</template>
<script>
    export default {
        data() {
            return {
                interval: {},
                value: 0
            }
        },
        beforeDestroy() {
            clearInterval(this.interval)
        },

        methods: {
            progressFurther() {
                if (this.value < 100) {
                    this.value += 10;
                } else {
                    this.value = 0;
                }
                //this.inderterminate = !this.inderterminate;
            }
        }

    }
</script>
<style>
</style>
